This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 882607 (CVE-2012-5614)

Summary: CVE-2012-5614 mysql: COM_BINLOG_DUMP crash on invalid data
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: byte, hhorak, jlieskov, redhat, roomojee
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121201,reported=20121202,source=internet,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:N/A:P,rhel-5/mysql=notaffected,rhel-6/mysql=affected,fedora-all/mysql=notaffected
Fixed In Version: mysql 5.5.21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-25 17:29:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 882596, 952846, 952853    

Description Huzaifa S. Sidhpurwala 2012-12-02 02:06:57 EST
A Denial-of-Service flaw was found in MySQL. An authenticated database user could use this flaw to cause a temporary denial of service (mysqld crash)

Reference:
http://seclists.org/fulldisclosure/2012/Dec/7

This issue was assigned CVE-2012-5614.
Comment 4 Vincent Danen 2013-04-16 18:52:14 EDT
This is noted in Oracle's April CPU as:

An unspecified vulnerability in the Server XML subcomponent of Oracle MySQL allows remote authenticated attackers to cause a denial of service.

This flaw affects MySQL 5.1.67 and earlier, and 5.5.29 and earlier.


External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html#AppendixMSQL
Comment 5 errata-xmlrpc 2013-04-25 13:31:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0772 https://rhn.redhat.com/errata/RHSA-2013-0772.html
Comment 6 Vincent Danen 2013-09-19 13:58:52 EDT
Statement:

(none)